Changeset 1069 for trunk/configure


Ignore:
Timestamp:
Sep 16, 2008 7:07:46 PM (12 years ago)
Author:
ladanyi
Message:

changes from BSP + result of run_autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/configure

    r914 r1069  
    26582658        coin_add_cflags="-pipe"
    26592659        coin_dbg_cflags="-g"
    2660         coin_warn_cflags="-pedantic-errors -Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall"
     2660        coin_warn_cflags="-Wimplicit -Wparentheses -Wsequence-point -Wreturn-type -Wcast-qual -Wall -Wno-unknown-pragmas"
     2661        case $build in
     2662          *-darwin*)
     2663            ;;
     2664          *)
     2665            coin_warn_cflags="-pedantic-errors $coin_warn_cflags"
     2666            ;;
     2667        esac
    26612668        case $enable_doscompile in
    26622669          mingw)
     
    27312738        case "$CC" in
    27322739          icc* | */icc*)
    2733             coin_opt_cflags="-O3 -ip"
     2740            coin_opt_cflags="-O3 -ip -mp1"
    27342741            coin_add_cflags=""
    27352742            coin_dbg_cflags="-g"
     
    27932800        case "$CC" in
    27942801          xlc* | */xlc* | mpxlc* | */mpxlc*)
    2795             coin_opt_cflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
     2802            coin_opt_cflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    27962803            coin_add_cflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    27972804            coin_dbg_cflags="-g"
     
    30883095             fi ;;
    30893096  *-*-solaris*)
    3090              comps="CC xlC aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3097             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30913098  *-darwin*) comps="g++ c++ CC" ;;
    3092           *) comps="xlC aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     3099          *) comps="xlC_r aCC CC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
    30933100esac
    30943101
     
    34523459ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
    34533460
    3454 if test -z "$CXX" ; then
    3455   { { echo "$as_me:$LINENO: error: Failed to find a C++ compiler!" >&5
    3456 echo "$as_me: error: Failed to find a C++ compiler!" >&2;}
     3461
     3462#AC_PROG_CXX sets CXX to g++ if it cannot find a working C++ compiler
     3463#thus, we test here whether $CXX is actually working
     3464ac_ext=cc
     3465ac_cpp='$CXXCPP $CPPFLAGS'
     3466ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3467ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3468ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3469
     3470echo "$as_me:$LINENO: checking whether C++ compiler $CXX works" >&5
     3471echo $ECHO_N "checking whether C++ compiler $CXX works... $ECHO_C" >&6;
     3472cat >conftest.$ac_ext <<_ACEOF
     3473/* confdefs.h.  */
     3474_ACEOF
     3475cat confdefs.h >>conftest.$ac_ext
     3476cat >>conftest.$ac_ext <<_ACEOF
     3477/* end confdefs.h.  */
     3478
     3479int
     3480main ()
     3481{
     3482int i=0;
     3483  ;
     3484  return 0;
     3485}
     3486_ACEOF
     3487rm -f conftest.$ac_objext
     3488if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     3489  (eval $ac_compile) 2>conftest.er1
     3490  ac_status=$?
     3491  grep -v '^ *+' conftest.er1 >conftest.err
     3492  rm -f conftest.er1
     3493  cat conftest.err >&5
     3494  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3495  (exit $ac_status); } &&
     3496         { ac_try='test -z "$ac_cxx_werror_flag"
     3497                         || test ! -s conftest.err'
     3498  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3499  (eval $ac_try) 2>&5
     3500  ac_status=$?
     3501  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3502  (exit $ac_status); }; } &&
     3503         { ac_try='test -s conftest.$ac_objext'
     3504  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3505  (eval $ac_try) 2>&5
     3506  ac_status=$?
     3507  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3508  (exit $ac_status); }; }; then
     3509  echo "$as_me:$LINENO: result: yes" >&5
     3510echo "${ECHO_T}yes" >&6
     3511else
     3512  echo "$as_me: failed program was:" >&5
     3513sed 's/^/| /' conftest.$ac_ext >&5
     3514
     3515echo "$as_me:$LINENO: result: no" >&5
     3516echo "${ECHO_T}no" >&6
     3517   { { echo "$as_me:$LINENO: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&5
     3518echo "$as_me: error: failed to find a C++ compiler or C++ compiler $CXX does not work" >&2;}
    34573519   { (exit 1); exit 1; }; }
    3458 fi
     3520
     3521fi
     3522rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     3523ac_ext=cc
     3524ac_cpp='$CXXCPP $CPPFLAGS'
     3525ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
     3526ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
     3527ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
     3528
    34593529
    34603530# It seems that we need to cleanup something here for the Windows
     
    35023572        coin_add_cxxflags="-pipe"
    35033573        coin_dbg_cxxflags="-g"
    3504         coin_warn_cxxflags="-pedantic-errors -Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion"
    3505         case $enable_doscompile in
    3506           mingw)
    3507             CXXFLAGS="-mno-cygwin"
    3508             cat >conftest.$ac_ext <<_ACEOF
     3574        coin_warn_cxxflags="-Wimplicit -Wparentheses -Wreturn-type -Wcast-qual -Wall -Wpointer-arith -Wwrite-strings -Wconversion -Wno-unknown-pragmas"
     3575        case $build in
     3576          *-darwin*)
     3577            ;;
     3578          *)
     3579            coin_warn_cxxflags="-pedantic-errors $coin_warn_cxxflags"
     3580            ;;
     3581        esac
     3582
     3583        case $enable_doscompile in
     3584          mingw)
     3585            CXXFLAGS="-mno-cygwin"
     3586            cat >conftest.$ac_ext <<_ACEOF
    35093587/* confdefs.h.  */
    35103588_ACEOF
     
    35513629rm -f conftest.err conftest.$ac_objext \
    35523630      conftest$ac_exeext conftest.$ac_ext
    3553             CXXFLAGS=
    3554             ;;
    3555         esac
     3631            CXXFLAGS=
     3632          ;;
     3633        esac
    35563634    esac
    35573635  fi
     
    35803658        case "$CXX" in
    35813659          icpc* | */icpc*)
    3582             coin_opt_cxxflags="-O3 -ip"
     3660            coin_opt_cxxflags="-O3 -ip -mp1"
    35833661            coin_add_cxxflags=""
    35843662            coin_dbg_cxxflags="-g"
     
    36423720        case "$CXX" in
    36433721          xlC* | */xlC* | mpxlC* | */mpxlC*)
    3644             coin_opt_cxxflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    3645             coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029"
     3722            coin_opt_cxxflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
     3723            coin_add_cxxflags="-bmaxdata:0x80000000 -qrtti=dyna -qsuppress=1500-036 -qsuppress=1500-029 -qsourcetype=c++"
    36463724            coin_dbg_cxxflags="-g"
    36473725            ;;
     
    39224000     fi ;;
    39234001  *-*-solaris*)
    3924      coin_f77_comps="f95 f90 f77 xlf fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
    3925   *) coin_f77_comps="xlf fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
     4002     coin_f77_comps="f95 f90 f77 xlf_r fort77 gfortran g77 pgf90 pgf77 ifort ifc frt af77" ;;
     4003  *) coin_f77_comps="xlf_r fort77 gfortran f77 g77 pgf90 pgf77 ifort ifc frt af77" ;;
    39264004 esac
    39274005
     
    40944172
    40954173# Provide some information about the compiler.
    4096 echo "$as_me:4096:" \
     4174echo "$as_me:4174:" \
    40974175     "checking for Fortran 77 compiler version" >&5
    40984176ac_compiler=`set X $ac_compile; echo $2`
     
    43094387        case $F77 in
    43104388          ifort* | */ifort* | IFORT* | */IFORT* )
    4311             coin_opt_fflags='-O3'
    4312             coin_add_fflags='-fpp -nologo -MT'
    4313             coin_dbg_fflags='-debug'
     4389            coin_opt_fflags='-MT -O3'
     4390            coin_add_fflags='-fpp -nologo'
     4391            coin_dbg_fflags='-MTd -debug'
    43144392          ;;
    43154393          compile_f2c*)
     
    43754453        case "$F77" in
    43764454          xlf* | */xlf* | mpxlf* | */mpxlf* )
    4377             coin_opt_fflags="-O3 -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
     4455            coin_opt_fflags="-O -qarch=auto -qcache=auto -qtune=auto -qmaxmem=-1"
    43784456            coin_add_fflags="-bmaxdata:0x80000000 -qsuppress=1500-036 -qsuppress=1500-029"
    43794457            coin_dbg_fflags="-g -C"
     
    63536431*-*-irix6*)
    63546432  # Find out which ABI we are using.
    6355   echo '#line 6355 "configure"' > conftest.$ac_ext
     6433  echo '#line 6433 "configure"' > conftest.$ac_ext
    63566434  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    63576435  (eval $ac_compile) 2>&5
     
    83178395   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83188396   -e 's:$: $lt_compiler_flag:'`
    8319    (eval echo "\"\$as_me:8319: $lt_compile\"" >&5)
     8397   (eval echo "\"\$as_me:8397: $lt_compile\"" >&5)
    83208398   (eval "$lt_compile" 2>conftest.err)
    83218399   ac_status=$?
    83228400   cat conftest.err >&5
    8323    echo "$as_me:8323: \$? = $ac_status" >&5
     8401   echo "$as_me:8401: \$? = $ac_status" >&5
    83248402   if (exit $ac_status) && test -s "$ac_outfile"; then
    83258403     # The compiler can only warn and ignore the option if not recognized
     
    85858663   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85868664   -e 's:$: $lt_compiler_flag:'`
    8587    (eval echo "\"\$as_me:8587: $lt_compile\"" >&5)
     8665   (eval echo "\"\$as_me:8665: $lt_compile\"" >&5)
    85888666   (eval "$lt_compile" 2>conftest.err)
    85898667   ac_status=$?
    85908668   cat conftest.err >&5
    8591    echo "$as_me:8591: \$? = $ac_status" >&5
     8669   echo "$as_me:8669: \$? = $ac_status" >&5
    85928670   if (exit $ac_status) && test -s "$ac_outfile"; then
    85938671     # The compiler can only warn and ignore the option if not recognized
     
    86898767   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86908768   -e 's:$: $lt_compiler_flag:'`
    8691    (eval echo "\"\$as_me:8691: $lt_compile\"" >&5)
     8769   (eval echo "\"\$as_me:8769: $lt_compile\"" >&5)
    86928770   (eval "$lt_compile" 2>out/conftest.err)
    86938771   ac_status=$?
    86948772   cat out/conftest.err >&5
    8695    echo "$as_me:8695: \$? = $ac_status" >&5
     8773   echo "$as_me:8773: \$? = $ac_status" >&5
    86968774   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86978775   then
     
    1103411112  lt_status=$lt_dlunknown
    1103511113  cat > conftest.$ac_ext <<EOF
    11036 #line 11036 "configure"
     11114#line 11114 "configure"
    1103711115#include "confdefs.h"
    1103811116
     
    1113411212  lt_status=$lt_dlunknown
    1113511213  cat > conftest.$ac_ext <<EOF
    11136 #line 11136 "configure"
     11214#line 11214 "configure"
    1113711215#include "confdefs.h"
    1113811216
     
    1347813556   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1347913557   -e 's:$: $lt_compiler_flag:'`
    13480    (eval echo "\"\$as_me:13480: $lt_compile\"" >&5)
     13558   (eval echo "\"\$as_me:13558: $lt_compile\"" >&5)
    1348113559   (eval "$lt_compile" 2>conftest.err)
    1348213560   ac_status=$?
    1348313561   cat conftest.err >&5
    13484    echo "$as_me:13484: \$? = $ac_status" >&5
     13562   echo "$as_me:13562: \$? = $ac_status" >&5
    1348513563   if (exit $ac_status) && test -s "$ac_outfile"; then
    1348613564     # The compiler can only warn and ignore the option if not recognized
     
    1358213660   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1358313661   -e 's:$: $lt_compiler_flag:'`
    13584    (eval echo "\"\$as_me:13584: $lt_compile\"" >&5)
     13662   (eval echo "\"\$as_me:13662: $lt_compile\"" >&5)
    1358513663   (eval "$lt_compile" 2>out/conftest.err)
    1358613664   ac_status=$?
    1358713665   cat out/conftest.err >&5
    13588    echo "$as_me:13588: \$? = $ac_status" >&5
     13666   echo "$as_me:13666: \$? = $ac_status" >&5
    1358913667   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1359013668   then
     
    1515215230   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1515315231   -e 's:$: $lt_compiler_flag:'`
    15154    (eval echo "\"\$as_me:15154: $lt_compile\"" >&5)
     15232   (eval echo "\"\$as_me:15232: $lt_compile\"" >&5)
    1515515233   (eval "$lt_compile" 2>conftest.err)
    1515615234   ac_status=$?
    1515715235   cat conftest.err >&5
    15158    echo "$as_me:15158: \$? = $ac_status" >&5
     15236   echo "$as_me:15236: \$? = $ac_status" >&5
    1515915237   if (exit $ac_status) && test -s "$ac_outfile"; then
    1516015238     # The compiler can only warn and ignore the option if not recognized
     
    1525615334   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1525715335   -e 's:$: $lt_compiler_flag:'`
    15258    (eval echo "\"\$as_me:15258: $lt_compile\"" >&5)
     15336   (eval echo "\"\$as_me:15336: $lt_compile\"" >&5)
    1525915337   (eval "$lt_compile" 2>out/conftest.err)
    1526015338   ac_status=$?
    1526115339   cat out/conftest.err >&5
    15262    echo "$as_me:15262: \$? = $ac_status" >&5
     15340   echo "$as_me:15340: \$? = $ac_status" >&5
    1526315341   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1526415342   then
     
    1746317541   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1746417542   -e 's:$: $lt_compiler_flag:'`
    17465    (eval echo "\"\$as_me:17465: $lt_compile\"" >&5)
     17543   (eval echo "\"\$as_me:17543: $lt_compile\"" >&5)
    1746617544   (eval "$lt_compile" 2>conftest.err)
    1746717545   ac_status=$?
    1746817546   cat conftest.err >&5
    17469    echo "$as_me:17469: \$? = $ac_status" >&5
     17547   echo "$as_me:17547: \$? = $ac_status" >&5
    1747017548   if (exit $ac_status) && test -s "$ac_outfile"; then
    1747117549     # The compiler can only warn and ignore the option if not recognized
     
    1773117809   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1773217810   -e 's:$: $lt_compiler_flag:'`
    17733    (eval echo "\"\$as_me:17733: $lt_compile\"" >&5)
     17811   (eval echo "\"\$as_me:17811: $lt_compile\"" >&5)
    1773417812   (eval "$lt_compile" 2>conftest.err)
    1773517813   ac_status=$?
    1773617814   cat conftest.err >&5
    17737    echo "$as_me:17737: \$? = $ac_status" >&5
     17815   echo "$as_me:17815: \$? = $ac_status" >&5
    1773817816   if (exit $ac_status) && test -s "$ac_outfile"; then
    1773917817     # The compiler can only warn and ignore the option if not recognized
     
    1783517913   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1783617914   -e 's:$: $lt_compiler_flag:'`
    17837    (eval echo "\"\$as_me:17837: $lt_compile\"" >&5)
     17915   (eval echo "\"\$as_me:17915: $lt_compile\"" >&5)
    1783817916   (eval "$lt_compile" 2>out/conftest.err)
    1783917917   ac_status=$?
    1784017918   cat out/conftest.err >&5
    17841    echo "$as_me:17841: \$? = $ac_status" >&5
     17919   echo "$as_me:17919: \$? = $ac_status" >&5
    1784217920   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1784317921   then
Note: See TracChangeset for help on using the changeset viewer.